package speiger.src.coreengine.rendering.gui.layout.layouts;

import speiger.src.coreengine.rendering.gui.components.base.GuiComponent;

public interface ILayout {
	public default ILayout add(GuiComponent comp) { return add(comp, null); }
	public ILayout add(GuiComponent comp, Object value);
	public ILayout remove(GuiComponent comp);
	
	public void apply();
}
